import java.util.Properties;
import org.python.core.PyException;
import org.python.core.PySystemState;
import org.python.util.PythonInterpreter;

/**
 *
 * @author bvan
 */
public class JythonTest {
    static {
        PythonInterpreter.initialize(System.getProperties(), new Properties(), new String[0]);
    }
    
    public static void testImports(String script) {
        PythonInterpreter python = new PythonInterpreter(null, new PySystemState());
        try {
            python.exec(script);
            System.out.println("Success.");
        } catch (PyException e) {
            System.out.println("Failure.");
            System.out.print(e);
        }
    }
    
    public static void main(String[] args){

        String allImport = "from javax.mail import *\n";
        String explicitImport = "from javax.mail import Session\n";
        String script = "from java.util import Properties\n"
                + "props = Properties()\n"
                + "props.put(\"mail.smtp.host\", \"path.mydomain.com\")\n"
                + "session = Session.getInstance(props,None) # Session can't be resolved\n";

        testImports(allImport + script);
        testImports(explicitImport + script);
        testImports(allImport + script);
    }
}
